Bug 75335 - (CPQARRAY)cpqarray module does not work with Smart-2/E controller
(CPQARRAY)cpqarray module does not work with Smart-2/E controller
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-10-07 08:58 EDT by Jim Hubbard
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jim Hubbard 2002-10-07 08:58:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0; Q312461)

Description of problem:
During installation, the cpqarray module appears to load successfully, but the 
array is not available when partitioning.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Boot CDROM
2.Enter "linux text mem=exactmap mem=640K@0 mem=143M@1M" at boot: prompt 
(system has 144 megs on EISA riser)
3.When prompted with "no available hard drives...", add device, select cpqarray 
module from list and enter "eisa=0x1000"as parameter (array card is in slot 1)
4.Module appears in list of drivers loaded, continue with install
5.At partitioning step, select fdisk or DiskDruid	

Actual Results:  Installation dies with a no hard disks error

Expected Results:  Disk array should be available for partitioning

Additional info:

This bug has existing since kernel 2.4.9-34 in RH7.2.  Redhat 7.2 installed 
with no problems, but an upgraded kernel would not load cpqarry.  Version 7.3 
installation also fails because of the same problem loading cpqarray.  I'll be 
happy to test any proposed fixes.
Comment 1 Jeremy Katz 2002-10-07 17:14:01 EDT
Are there any messages on tty4 about the loading of the cpqarray driver?
Comment 2 Jim Hubbard 2002-10-08 08:31:49 EDT
tty4 shows only this line regarding cpqarray:
<4>Compaq SMART2 Driver (v 2.4.22)

tty3 shows this:
*inserted /tmp/cpqarray
*load module set done

tty2 doing an lsmod reports:
cpqarray   21412   0 (unused)

As I reported in Bug 70311, a successful boot under Redhat7.2 originally 
reported this dmesg:
Compaq SMART2 Driver (v 2.4.5)
Found 1 controller(s)
cpqarray: Finding drives on ida0 (SMART-2/E)
cpqarray ida/c0d0: blksz=512 nr_blks=8217120
cpqarray ida/c0d1: blksz=512 nr_blks=8217120
Partition check:
 ida/c0d0: p1 p2 p3 p4 < p5 p6 p7 p8 >
 ida/c0d1: p1

Obviously, I had more than one array defined at the time I copied this.

Likewise, Mandrake 8.2 (which is running on the box now) reports this dmesg:
Compaq SMART2 Driver (v 2.4.5)
Found 1 controller(s)
cpqarray: Finding drives on ida0 (SMART-2/E)
cpqarray ida/c0d0: blksz=512 nr_blks=12321600
Partition check:
 /dev/ida/c0d0: p1 p2 p3 p4 < p5 p6 p7 p8 >

As you can see, I now only have one array defined, but the idea is the same.  
What's curious to me is the cpqarray version reported by the Redhat8 install.
Comment 3 Bugzilla owner 2004-09-30 11:40:02 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/
Comment 4 Peter E. Popovich 2004-11-27 13:30:14 EST
There's a bug in cpqarray starting around kernel 2.4.9 that affects
EISA Smart controllers, but not PCI ones.

a patch for 2.4 kernels is at http://www.cpqlinux.com/cpqarray-eisa.html

This appears to be fixed in 2.6 kernels, at least by 2.6.9.  FC3
installs fine.

Note You need to log in before you can comment on or make changes to this bug.